Name: H5Iget_file_id
Signature:
  hid_t `H5Iget_file_id`(hid_t `obj_id`)
Purpose:
  Retrieves an identifier for the file containing the specified object.
Description:
  `H5Iget_file_id` returns the identifier of the file associated with the object referenced by `obj_id`.

  `obj_id` can be a file, group, dataset, named datatype, or attribute identifier.

  Note that the HDF5 Library permits an application to close a file while objects within the file remain open. If the file containing the object `obj_id` is still open, `H5Iget_file_id` will retrieve the existing file identifier. If there is no existing file identifier for the file, i.e., the file has been closed, `H5Iget_file_id` will reopen the file and return a new file identifier. In either case, the file identifier must eventually be released using `H5Fclose`.

Parameters:

hid_t `obj_id` | IN: Identifier of the object whose associated file identifier will be returned.

Returns:
  Returns a file identifier on success, negative on failure.
Fortran90 Interface:

      SUBROUTINE h5iget_file_id_f(obj_id, file_id, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: obj_id     ! Object identifier
        INTEGER(HID_T), INTENT(OUT) :: file_id    ! File identifier
        INTEGER, INTENT(OUT) :: hdferr            ! Error code

      END SUBROUTINE h5iget_file_id_f

History:

Release | C |  | Fortran90
1.6.3 | Function introduced in this release. |  | Fortran subroutine introduced in this release.